### Function

# GimpUi query_boolean_box

unstable since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_query_boolean_box (
      const gchar* title,
      GtkWidget* parent,
      GimpHelpFunc help_func,
      const gchar* help_id,
      const gchar* icon_name,
      const gchar* message,
      const gchar* true_button,
      const gchar* false_button,
      GObject* object,
      const gchar* signal,
      GimpQueryBooleanCallback callback,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Creates a new `GtkDialog` that asks the user to do a boolean decision.

Available since: 3.0

#### Parameters

`title`

  Type: `const gchar*`

  The query box dialog’s title.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parent`

  Type: `GtkWidget`

  The dialog’s parent widget.

  The data is owned by the caller of the function.

`help_func`

  Type: `GimpHelpFunc`

  The help function to show this dialog’s help page.

`help_id`

  Type: `const gchar*`

  A string identifying this dialog’s help page.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon_name`

  Type: `const gchar*`

  An icon name to specify an icon to appear on the left on the dialog’s message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`message`

  Type: `const gchar*`

  A string which will be shown in the query box.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`true_button`

  Type: `const gchar*`

  The string to be shown in the dialog’s left button.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`false_button`

  Type: `const gchar*`

  The string to be shown in the dialog’s right button.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `GObject`

  The object this query box is associated with.

  The data is owned by the caller of the function.

`signal`

  Type: `const gchar*`

  The object’s signal which will cause the query box to be closed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `GimpQueryBooleanCallback`

  The function which will be called when the user clicks one of the buttons.

`data`

  Type: `gpointer`

  The callback’s user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data_destroy`

  Type: `GDestroyNotify`

  Destroy function for `data`.

#### Return value

Type: `GtkWidget`

A pointer to the new `GtkDialog`.

The caller of the function takes ownership of the data, and is responsible for freeing it.